Page MenuHomePhabricator

Visual prototype for community feedback for Wikistats 2.0 iteration 1.
Closed, ResolvedPublic21 Story Points

Description

Design: https://www.dropbox.com/sh/27jayih3an4jf9j/AABkDTfCqolO5Wr2gqaMBgKIa?dl=0&preview=Dashboard+Overview+Explore+Closed.png
Code: https://github.com/milimetric/wikistats-prototype/
Prototype: [secret link for now so I (Milimetric) don't burn people's eyes with my inaccurate style rendering so far.

Event Timeline

Nuria created this task.Feb 10 2017, 7:14 PM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Feb 10 2017, 7:21 PM
Nuria moved this task from Incoming to Operational Excellence Future on the Analytics board.
Nuria added a comment.Feb 13 2017, 5:35 PM

Goal of prototype: look at the bare bones data modeling with visual aids while we have designer on team. Bonus: get more pointed feedback from community.

  • it's going to use semantic UI.
  • will be build with a mock backend
  • github + vue + scafolding
Nuria added a comment.EditedFeb 13 2017, 5:47 PM

1 iteration:

  • Get visuals from ash
  • map widgets to components
  • implement mocks for backend data model
  • implement FE rough functionality
Nuria added a comment.Feb 13 2017, 5:48 PM
This comment was removed by Nuria.
Nuria renamed this task from Visual prototype for community feedback for Wikistats 2.0 to Visual prototype for community feedback for Wikistats 2.0 iteration 1..Feb 13 2017, 5:49 PM
Nuria changed the point value for this task from 0 to 21.
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Mar 13 2017, 4:21 PM
Milimetric updated the task description. (Show Details)Mar 13 2017, 4:24 PM
Milimetric updated the task description. (Show Details)

PDF of Visual Design Mocks, also on Commons as pngs

Nuria added a subscriber: ezachte.Mar 15 2017, 5:13 PM
Nuria added a subscriber: Erik_Zachte.

Ping @Erik_Zachte visuals are downloadable as pdf

Nuria moved this task from In Progress to Done on the Analytics-Kanban board.Mar 30 2017, 4:04 PM
Nuria moved this task from Done to In Progress on the Analytics-Kanban board.Apr 3 2017, 4:38 PM

Putting back "inprogress" as we are going to add @Erik_Zachte 's suggestions

Nuria moved this task from In Progress to Done on the Analytics-Kanban board.Apr 4 2017, 3:09 PM
Nuria moved this task from Done to In Progress on the Analytics-Kanban board.

We will be implementing the following changes in the design before it goes out for consultation:

Wikistats 2.0 design updates from Erik

done - round/shorten numbers on dashboard from full to 7.2 billion, etc.
done - show 2 years of data on widgets
done - use Total Manual Registered Edits as opposed to Total Edits, or at least break down the edits by bots and humans
done - include Total Article Creations from https://stats.wikimedia.org/EN/BotActivityMatrixCreates.htm

Milimetric moved this task from In Progress to Done on the Analytics-Kanban board.Apr 5 2017, 11:31 PM
Nuria closed this task as Resolved.Apr 11 2017, 11:47 PM

"show daily unique devices instead of monthly unique devices on dashboard"

For the record: I don't remember saying this. In general promote the promote the opposite: weekly or monthly data rather than daily.

I have once suggested to track hourly unique devices as that doesn't suffer much from duplication (few users will access Wikipedia via more than one device on single hour). It could be used for MoM and YoY, but not so much as core metric on its own right.

It's possible we misunderstood, Erik, I think this is what you said about it:

"Infobox Unique Devices

It's no secret I feel this is a dubious metric, especially the MoM, so I won't rant about it here once more, and save that for another time."

Looking at it now, I see that you were objecting to the metric and the Month over Month measurement. But this seems like you're alluding to another time you talked about Unique Devices and I'm not finding that now. I do remember you being for longer-term metrics in general, that's the main reason we aimed for monthly on the dashboard in the first place.